%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-transaction-1.1-api
Version:          1.0.1
Release:          %mkrel 12
Group:            Development/Java
Summary:          Transaction 1.1 API
License:          CDDL or GPLv2 with exceptions
Url:              http://www.jboss.org

# git clone git://github.com/jboss/jboss-transaction-api_spec.git jboss-transaction-1.1-api
# cd jboss-transaction-1.1-api/ && git archive --format=tar --prefix=jboss-transaction-1.1-api/ jboss-transaction-api_1.1_spec-1.0.1.Final | xz > jboss-transaction-1.1-api-1.0.1.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildRequires:    java-devel
BuildRequires:    jboss-specs-parent
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-ear-plugin
BuildRequires:    maven-clean-plugin
BuildRequires:    maven-ejb-plugin

BuildArch:        noarch

%description
The Java Transaction 1.1 API classes.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-transaction-1.1-api

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.0.1-12.mga6
+ Revision: 977124
- First rebuild of the java stack
- sync package jboss-transaction-1.1-api with fedora
- imported package jboss-transaction-1.1-api

* Fri Jan 30 2015 daviddavid <daviddavid> 1.0.1-10.mga5
+ Revision: 812711
- fix jboss-transaction-1.1-api.jar file directory
  * should be installed on %%{_javadir} not on %%{_javadir}/%%{name} directory

* Fri Jan 23 2015 daviddavid <daviddavid> 1.0.1-9.mga5
+ Revision: 812053
- Sync with fc21
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 741721
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.1-6.mga4
+ Revision: 559836
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 355171
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.0.1-3.mga3
+ Revision: 331431
- Removed maven-eclipse-plugin-dependency
- Added maven-clean-plugin

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.1-2.mga3
+ Revision: 291838
- Use fedora spec file layout

* Sun Mar 04 2012 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 217913
- Clean spec file

  + gil <gil>
    - update to 1.0.1.Beta1
    - imported package jboss-transaction-1.1-api


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 25 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.1-10
- Remove unneeded build-requires on maven-plugin-cobertura

* Wed Jul 02 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-9
- Switch to xmvn

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.1-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 9 2013 Ade Lee <alee@redhat.com> 1.0.1-5
- Resolves #961465 - Removed unneeded maven-checkstyle-plugin BR

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.1-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Nov 15 2012 Ade Lee <alee@redhat.com> 1.0.1-2
- Removed maven-eclipse-plugin-dependency
- Added maven-clean-plugin

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.1-1
- Upstream release 1.0.1.Final
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.2.20120309git3970b8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.1-0.1.20120309git3970b8
- Packaging after license cleanup upstream

* Mon Oct 24 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-2
- Fixed apidocs issue

* Thu Aug 11 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging
